Package Details: scilab-git 6.1.0.r10.g8937019ec74-1

Git Clone URL: https://aur.archlinux.org/scilab-git.git (read-only, click to copy)
Package Base: scilab-git
Description: A scientific software package for numerical computations.
Upstream URL: https://www.scilab.org
Licenses: GPL2, BSD, custom:CeCILL
Conflicts: scilab
Provides: scilab
Submitter: MRWITEK
Maintainer: bartus
Last Packager: bartus
Votes: 8
Popularity: 0.000000
First Submitted: 2013-05-09 17:05
Last Updated: 2020-06-21 21:46

Dependencies (38)

Required by (5)

Sources (8)

Pinned Comments

bartus commented on 2020-06-21 21:48

This package is also hosted on GitHub.

Latest Comments

1 2 3 Next › Last »

Xwang commented on 2020-10-20 18:55

Today I get the following error while building the package:


File "./src/modelica_compiler/scicosOptimizingCompiler.ml", line 1:
Error: Files /usr/lib/ocaml/num/nums.cmxa and /usr/lib/ocaml/stdlib.cmxa
       make inconsistent assumptions over implementation Stdlib__sys
Command exited with non-zero status 2

Should I open a bug upstream? Is it an ocaml arch packaging issue?

bartus commented on 2020-06-21 21:48

This package is also hosted on GitHub.

eolianoe commented on 2018-11-15 16:01

@dkibet: That's because some patches are being merged by upstream cannot be applied anymore. I need to clean and check the PKGBUILD according to the latest sources but I do not have access to an Arch machine for now (I'll check the build as soon as possible)

dkibet commented on 2018-11-15 14:06

I am getting.

Hunk #1 FAILED at 735. 1 out of 1 hunk FAILED -- saving rejects to file modules/hdf5/sci_gateway/cpp/sci_hdf5_listvar_v3.cpp.rej ==> ERROR: A failure occurred in prepare().

what am i doing wrong?

the_ragi commented on 2018-04-04 15:10

I'm getting this error:

patching file modules/xcos/src/java/org/scilab/modules/xcos/palette/PaletteSearcher.java Hunk #1 FAILED at 52. 1 out of 2 hunks FAILED -- saving rejects to file modules/xcos/src/java/org/scilab/modules/xcos/palette/PaletteSearcher.java.rej

Any help/advice is appreciated

eolianoe commented on 2018-01-05 12:26

@elsuizo: it's building fine here, are you sure that arpack is installed?

elsuizo commented on 2017-12-11 01:17

I got this error:

configure: error: ARPACK library found, but seems not to work properly. Please make sure you are using arpack-ng

thanks in advance

eolianoe commented on 2017-01-24 10:14

@petronny: thanks for the lucene package. I will add the dependency when I will find a way to properly build the package

petronny commented on 2017-01-23 09:44

I have created a package called apache-lucene to fix the previous error.
Please add it as a dependency.
It can be compiled now, but still throws
[javac] /build/scilab-git/src/scilab/scilab/modules/xcos/src/java/org/scilab/modules/xcos/palette/PaletteSearcher.java:55: error: no suitable method found for open(IndexWriter,boolean)

No idea how to fix it...

petronny commented on 2017-01-23 07:32

I got this error,
checking gluegen2-rt... /usr/share/java/jogl/gluegen2-rt.jar
checking for Java_jogamp_common_jvm_JVMUtil_initialize in -lgluegen2-rt... yes
checking jhall... /usr/share/java/javahelp/jhall.jar
checking lucene-core... no
configure: error: Could not find or use the Java package/jar lucene-core used by Lucene (looking for package org.apache.lucene.LucenePackage)

But there is no package named lucene ,java-lucene etc.
Please fix it